# Bill Fetch Response Endpoint

<mark style="color:blue;">**Biller server to Biller Protocol**</mark>

| Endpoint                                                              |
| --------------------------------------------------------------------- |
| <mark style="color:blue;">**Request**</mark>: POST /BillFetchResponse |

<mark style="color:blue;">**Response Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element\`                  | Property/Element Name   | Mandatory | Data Type                                                  | Description                                                                                                                                                                                                                 |
| ------------------------------------------ | ----------------------- | --------- | ---------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **\[ROOT]** (No parent property / element) | refId                   | M         | String                                                     | <p>Unique identification assigned by the initiating BBPOU to unambiguously identify the transaction which is passed on, unchanged, throughout the entire end-to-end chain, binding the</p><p>Fetch and Payment messages</p> |
|                                            | errorCode               | M         | String Fixed Length – 6                                    | <p>Carries the compliance code indicating the reason for a failed</p><p>transaction – not required for a successful transaction</p>                                                                                         |
|                                            | errorDescription        | M         | String Min Length – 1, Max Length – 100                    | <p>Description of the compliance code – not required for a</p><p>successful transaction</p>                                                                                                                                 |
|                                            | status                  | M         | String Format: Successful / Failure                        | Status of the bill fetch response Successful/Failure                                                                                                                                                                        |
|                                            | billNumber              | M         | String Min Length – 1, Max Length – 100                    | Unique Id of the Bill                                                                                                                                                                                                       |
|                                            | customerName            | M         | String Min Length – 1, Max Length – 100                    | Name of the Customer                                                                                                                                                                                                        |
|                                            | amount                  | M         | String Min Length – 1, Max Length – 18                     | Total amount of the bill                                                                                                                                                                                                    |
|                                            | billPeriod              | M         | String Min Length – 1, Max Length – 50                     | Bill Period set by the biller                                                                                                                                                                                               |
|                                            | billDate                | M         | String Fixed Length – 10                                   | Bill Date set by the biller                                                                                                                                                                                                 |
|                                            | dueDate                 | M         | String Fixed Length – 10                                   | DueDate Set by the biller                                                                                                                                                                                                   |
|                                            | billerResponseTags      | M         | Array of name value pairs                                  | <p>Biller response related tag indicating the various amount options</p><p>provided by the Biller</p>                                                                                                                       |
|                                            | name                    | M         | String Min Length – 1, Max Length – 100                    | Name of the amount field assigned by the Biller                                                                                                                                                                             |
|                                            | value                   | M         | String Min Length – 1, Max Length – 100                    | Value of the amount field                                                                                                                                                                                                   |
|                                            | additionalInfo          | M         | Array of name value pairs Min Length – 1, Max Length – 100 | <p>Additional information parameters sent by the Biller supporting</p><p>fetch is copied in the payment request "as-is" – not applicable for</p><p>payment only Billers</p>                                                 |
|                                            | <p><br></p><p>Value</p> | M         | String Min Length – 1, Max Length – 100                    | Value of the field                                                                                                                                                                                                          |
|                                            | tenantId                | M         | String Fixed length - 4                                    | OU ID of the BOU                                                                                                                                                                                                            |

**Json Formatted Response Example**

```json


    {
    "refId": "String", "errorCode": "String", "errorDescription": "String", "status": "String", "billNumber": "String", "customerName": "String", "amount": "String", "billPeriod": "String", "billDate": "String", "dueDate": "String", "billerResponseTags": [
    {
    "name": "String",
    "value": "String"
    }
    ],
    "additionalInfo": [
    {
    "name": "String",
    "value": "String"
    }
    ],
    "tenantId" : "String"
    }
```

**Json Formatted Acknowledgement Example**

```json

{
"reason":"String",
"code":"Integer", "status
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-biller-integration/bbps-api-list/bill-fetch-response-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
